FreeMat

- Main Page
- Related Pages

vtkXMLImageDataReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLImageDataReader reads the VTK XML ImageData file format. One image data file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vti". This reader is also used to read a single piece of the parallel file format.

To create an instance of class vtkXMLImageDataReader, simply invoke its constructor as follows

      obj = vtkXMLImageDataReader

# Methods

The class vtkXMLImageDataReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLImageDataReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLImageDataReader = obj.NewInstance ()`
- `vtkXMLImageDataReader = obj.SafeDownCast (vtkObject o)`
- `vtkImageData = obj.GetOutput ()` - Get the reader's output.
- `vtkImageData = obj.GetOutput (int idx)` - Get the reader's output.
- `obj.CopyOutputInformation (vtkInformation outInfo, int port)` - For the specified port, copy the information this reader sets up in SetupOutputInformation to outInfo